## mediawiki 1.43.0

=== debian/changelog ===
mediawiki (1:1.43.0-0maysync3) plucky; urgency=medium

  * Skip DEP8 tests on arm*

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Sat, 01 Mar 2025 09:11:22 -0300

mediawiki (1:1.43.0-0maysync2) plucky; urgency=medium

  * d/t/control: add php-gmp test dependency for armhf

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Fri, 28 Feb 2025 09:49:35 -0300

mediawiki (1:1.43.0-0maysync1) plucky; urgency=medium

  [ Kunal Mehta ]
  * New upstream version 1.43.0
  * Synchronize upstream/signing-key.asc with
    <https://www.mediawiki.org/keys/keys.txt>

  [ наб ]
  * d/control: Build-Depends: remove dh-buildinfo (see #1068809)

  [ Athos Ribeiro ]
  * Pull new version from Debian VCS for PHP 8.4 compatibility
    (LP: #2100500, #2096755)

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Thu, 27 Feb 2025 11:18:23 -0300

=== debian/control ===
Source: mediawiki
Section: web
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: MediaWiki packaging team <mediawiki-debian@lists.wikimedia.org>
Uploaders: Kunal Mehta <legoktm@debian.org>, Taavi Väänänen <taavi@debian.org>
Build-Depends: debhelper-compat (= 13),
 apache2-dev
Homepage: https://www.mediawiki.org/
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/mediawiki-team/mediawiki.git
Vcs-Browser: https://salsa.debian.org/mediawiki-team/mediawiki
Rules-Requires-Root: no

Package: mediawiki
Architecture: all
Depends: apache2 | httpd,
 php (>= 2:8.1~),
 php-intl,
 php-json,
 php-mysql | php-pgsql | php-sqlite3 | php-mysqlnd,
 php-mbstring,
 php-xml,
 mediawiki-classes (= ${binary:Version}),
 ${misc:Depends}
Recommends: default-mysql-server | virtual-mysql-server | postgresql-contrib | php-sqlite3,
 php-cli,
 php-apcu,
 php-curl,
 php-gmp,
 imagemagick | php-gd,
 php-readline,
 php-yaml,
 php-wikidiff2,
 python3-pygments,
 php-luasandbox | lua5.1
Suggests: memcached,
 clamav,
 firejail
Breaks: fusionforge-plugin-mediawiki (<< 5.2~rc1+1~),
 mediawiki-extensions-ldapauth (<< 2.8~),
 mediawiki-extensions-openid (<< 2.8~),
 mediawiki-extensions-fckeditor,
 mediawiki-extensions-collection (<< 2.8~),
 mediawiki-extensions-graphviz (<< 2.8~),
 mediawiki-extensions (<< 2.8~),
 mediawiki-extensions-base,
 mediawiki-extensions-confirmedit,
 mediawiki-extensions-geshi,
 mediawiki-skin-greystuff (<< 1.2.5~),
 mediawiki-extensions-math (<= 2:1.0+git20120528-8)
Replaces: mediawiki-extensions-base,
 mediawiki-extensions-confirmedit,
 mediawiki-extensions-geshi,
 mediawiki-extensions-math (<= 2:1.0+git20120528-8)
Provides: mediawiki-extensions-confirmedit,
 mediawiki-extensions-geshi
Description: website engine for collaborative work
 MediaWiki is a wiki engine (a program for creating a collaboratively
 edited website). It is designed to handle heavy websites containing
 library-like document collections, and supports user uploads of
 images/sounds, multilingual content, TOC autogeneration, ISBN links,
 etc.
 .
 Moreover, it keeps track of changes, so users can receive
 notifications, view diffs and revert edits. This system has many
 other features and can easily be extended.

Package: mediawiki-classes
Architecture: all
Depends: ${misc:Depends}
Description: website engine for collaborative work - standalone classes
 This package provides standalone classes from the remainder of the
 MediaWiki codebase. They do not call on any other portions of MediaWiki
 code, and can be used in portions of MediaWiki code, and can be used in
 other projects without dependency issues.
 .
 MediaWiki is a wiki engine (a program for creating a collaboratively
 edited website). It is designed to handle heavy websites containing
 library-like document collections, and supports user uploads of
 images/sounds, multilingual content, TOC autogeneration, ISBN links,
 etc.
 .
 Moreover, it keeps track of changes, so users can receive
 notifications, view diffs and revert edits. This system has many
 other features and can easily be extended.

=== debian/rules ===
#!/usr/bin/make -f

override_dh_install:
	dh_install
	# Not upstreamed
	chmod a+x debian/mediawiki/usr/share/mediawiki/maintenance/language/generate-collation-data

	# Now some tidying up is required
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/pear/net_url2/Net/URL2.php
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/pear/net_url2/docs/6470.php
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/pear/net_url2/docs/example.php
	# These were fixed upstream already: https://github.com/liuggio/statsd-php-client/pull/52
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/liuggio/statsd-php-client/src/Liuggio/StatsdClient/Entity/StatsdData.php
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/liuggio/statsd-php-client/tests/Liuggio/StatsdClient/StatsdDataFactoryTest.php
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/liuggio/statsd-php-client/src/Liuggio/StatsdClient/Entity/StatsdDataInterface.php
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/liuggio/statsd-php-client/tests/Liuggio/StatsdClient/Entity/StatsdDataTest.php

	# Remove Scribunto binaries
	rm -rf debian/mediawiki/var/lib/mediawiki/extensions/Scribunto/includes/Engines/LuaStandalone/binaries
	# And SyntaxHighlight ones
	rm -rf debian/mediawiki/var/lib/mediawiki/extensions/SyntaxHighlight_GeSHi/pygments

	find debian/mediawiki/usr/share/mediawiki -maxdepth 1 -mindepth 1 | grep -v "\(LocalSettings.php\|debian-scripts\|images\|extensions\|config\)" | \
	while read i; do \
		dh_link "`echo "$$i" | sed -e s#debian/mediawiki/##`" \
		"`echo "$$i" | sed -e s#debian/mediawiki/usr/share/mediawiki/#var/lib/mediawiki/#`"; \
	done
	# Remove Makefiles
	find debian/mediawiki/ -iname makefile -exec rm {} \;
	# Remove CoC files
	find debian/mediawiki/ -iname CODE_OF_CONDUCT.md -exec rm {} \;
	# Remove extra tests
	find debian/mediawiki/ -path '*/tests' -prune -exec rm -rf {} \;
	# Move extensions
	mkdir -p debian/mediawiki/usr/share/doc/mediawiki
	mv debian/mediawiki/var/lib/mediawiki/extensions/README \
	    debian/mediawiki/usr/share/doc/mediawiki/README.extensions
	mv debian/mediawiki/var/lib/mediawiki/extensions \
	    debian/mediawiki/usr/share/mediawiki/extensions-core
	mkdir debian/mediawiki/var/lib/mediawiki/extensions
	coreextensions=$$(cd debian/mediawiki/usr/share/mediawiki/extensions-core; \
	    echo *); for coreextension in $$coreextensions; do \
		dh_link usr/share/mediawiki/extensions-core/"$$coreextension" \
		    var/lib/mediawiki/extensions/"$$coreextension"; \
	done
	# includes/libs is provided by mediawiki-classes
	rm -rf debian/mediawiki/usr/share/mediawiki/includes/libs
	# Remove mediawiki-classes README, already installed into /usr/share/doc
	rm debian/mediawiki-classes/usr/share/mediawiki/includes/libs/README
	rm debian/mediawiki-classes/usr/share/mediawiki/includes/libs/Message/README.md
	rm debian/mediawiki-classes/usr/share/mediawiki/includes/libs/ParamValidator/README.md
	rm debian/mediawiki-classes/usr/share/mediawiki/includes/libs/objectcache/README.md
	rm debian/mediawiki-classes/usr/share/mediawiki/includes/libs/WRStats/README.md
	rm debian/mediawiki-classes/usr/share/mediawiki/includes/libs/telemetry/README.md

override_dh_installsystemd:
	# Do not enable by default, the user needs to manually
	# configure MediaWiki first.
	dh_installsystemd --no-enable --name=mediawiki-jobrunner

%:
	dh $@ --with apache2

=== debian/tests/control ===
Tests: lint
Depends: @, php-cli, jsonlint
Restrictions: superficial
Architecture: !armhf !arm64

Tests: install-sqlite
Depends: @, php-cli, php-sqlite3, curl, sudo, apache2, systemd, php-gmp [armhf]
Restrictions: needs-root, allow-stderr, isolation-container
Architecture: !armhf !arm64

# default-mysql
Tests: install-mysql
Depends: @, php-cli, php-mysql, default-mysql-server, curl, sudo, apache2, systemd, php-gmp [armhf]
Restrictions: needs-root, allow-stderr, isolation-container
Architecture: !armhf !arm64

# mysql
Tests: install-mysql
Depends: @, php-cli, php-mysql, mysql-server, curl, sudo, apache2, systemd, php-gmp [armhf]
# Don't fail when mysql-server isn't in Debian testing
Restrictions: needs-root, skip-not-installable, allow-stderr, isolation-container
Architecture: !armhf !arm64

# mariadb
Tests: install-mysql
Depends: @, php-cli, php-mysql, mariadb-server, curl, sudo, apache2, systemd, php-gmp [armhf]
Restrictions: needs-root, allow-stderr, isolation-container
Architecture: !armhf !arm64

Tests: install-postgresql
Depends: @, php-cli, php-pgsql, postgresql, curl, sudo, apache2, systemd, php-gmp [armhf]
Restrictions: needs-root, allow-stderr, isolation-container
Architecture: !armhf !arm64

=== debian/watch ===
version=4

opts="dversionmangle=s/^[0-9]+://;s/\+dfsg$//,pgpsigurlmangle=s/$/.sig/" \
https://releases.wikimedia.org/mediawiki/1.43/ mediawiki-([0-9.]*).tar.gz

## mediawiki 1.43.1+dfsg

=== debian/changelog ===
mediawiki (1:1.43.1+dfsg-1) unstable; urgency=medium

  * New upstream version 1.43.1, fixing CVE-2025-3469, CVE-2025-32696,
    CVE-2025-32697, CVE-2025-32698, CVE-2025-32699 and CVE-2025-32700.
    * Stop fixing permissions during build time for files that no longer
      exist.

 -- Taavi Väänänen <taavi@debian.org>  Thu, 10 Apr 2025 21:48:49 +0300

mediawiki (1:1.43.0+dfsg-2) unstable; urgency=medium

  * Make php-gmp a dependency.

 -- Taavi Väänänen <taavi@debian.org>  Sat, 05 Apr 2025 16:00:04 +0300

mediawiki (1:1.43.0+dfsg-1) unstable; urgency=medium

  [ Kunal Mehta ]
  * New upstream version 1.43.0 (Closes: #1089725)
  * Synchronize upstream/signing-key.asc with
    <https://www.mediawiki.org/keys/keys.txt>

  [ наб ]
  * d/control: Build-Depends: remove dh-buildinfo (see #1068809)

  [ Taavi Väänänen ]
  * Disable MathJax and Special:RestSandbox support due to DSFG issues.
  * Update embedded DomPurify to 2.5.7. (Closes: #1085453)
  * Update policy version to 4.7.2, no changes needed.

 -- Taavi Väänänen <taavi@debian.org>  Fri, 04 Apr 2025 21:11:28 +0300

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: mediawiki
 Section: web
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: MediaWiki packaging team <mediawiki-debian@lists.wikimedia.org>
+Maintainer: MediaWiki packaging team <mediawiki-debian@lists.wikimedia.org>
 Uploaders: Kunal Mehta <legoktm@debian.org>, Taavi Väänänen <taavi@debian.org>
 Build-Depends: debhelper-compat (= 13),
  apache2-dev
 Homepage: https://www.mediawiki.org/
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/mediawiki-team/mediawiki.git
 Vcs-Browser: https://salsa.debian.org/mediawiki-team/mediawiki
 Rules-Requires-Root: no
@@ -16,6 +15,7 @@
 Architecture: all
 Depends: apache2 | httpd,
  php (>= 2:8.1~),
+ php-gmp,
  php-intl,
  php-json,
  php-mysql | php-pgsql | php-sqlite3 | php-mysqlnd,
@@ -27,7 +27,6 @@
  php-cli,
  php-apcu,
  php-curl,
- php-gmp,
  imagemagick | php-gd,
  php-readline,
  php-yaml,

## mediawiki 1.43.3+dfsg

=== debian/changelog ===
mediawiki (1:1.43.3+dfsg-1) unstable; urgency=medium

  [ Lucas Werkmeister ]
  * Update package description.

  [ Taavi Väänänen ]
  * New upstream version 1.43.3, fixing CVE-2025-6926, CVE-2025-6927,
    CVE-2025-6589, CVE-2025-6590, CVE-2025-6591, CVE-2025-6592, CVE-2025-6593,
    CVE-2025-6594, CVE-2025-6595, CVE-2025-6596, CVE-2025-6597.
    * Drop merged patches.
    * Drop exclusions for files no longer included in the upstream releases.
  * Use different $wgFooterIcons key to fix display issues on modern skins.

 -- Taavi Väänänen <taavi@debian.org>  Tue, 01 Jul 2025 19:08:37 +0300

mediawiki (1:1.43.1+dfsg-2) unstable; urgency=medium

  * Cherry-pick upstream patch for CVE-2025-32072

 -- Kunal Mehta <legoktm@debian.org>  Fri, 18 Apr 2025 01:10:38 -0400

=== debian/rules ===
--- 
+++ 
@@ -6,9 +6,6 @@
 	chmod a+x debian/mediawiki/usr/share/mediawiki/maintenance/language/generate-collation-data
 
 	# Now some tidying up is required
-	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/pear/net_url2/Net/URL2.php
-	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/pear/net_url2/docs/6470.php
-	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/pear/net_url2/docs/example.php
 	# These were fixed upstream already: https://github.com/liuggio/statsd-php-client/pull/52
 	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/liuggio/statsd-php-client/src/Liuggio/StatsdClient/Entity/StatsdData.php
 	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/liuggio/statsd-php-client/tests/Liuggio/StatsdClient/StatsdDataFactoryTest.php
@@ -19,6 +16,9 @@
 	rm -rf debian/mediawiki/var/lib/mediawiki/extensions/Scribunto/includes/Engines/LuaStandalone/binaries
 	# And SyntaxHighlight ones
 	rm -rf debian/mediawiki/var/lib/mediawiki/extensions/SyntaxHighlight_GeSHi/pygments
+
+	# Remove unused font files
+	rm -rf debian/mediawiki/usr/share/mediawiki/vendor/endroid/qr-code/assets
 
 	find debian/mediawiki/usr/share/mediawiki -maxdepth 1 -mindepth 1 | grep -v "\(LocalSettings.php\|debian-scripts\|images\|extensions\|config\)" | \
 	while read i; do \

## mediawiki 1.43.5+dfsg

=== vendor/wikimedia/shellbox/syntaxhighlight/requirements.txt ===
Pygments==2.17.2  \
  --hash=sha256:b27c2826c47d0f3219f29554824c30c5e8945175d888647acd804ddd04af846c

=== debian/changelog ===
mediawiki (1:1.43.5+dfsg-1) unstable; urgency=medium

  * New upstream version 1.43.5, fixing CVE-2025-11173, CVE-2025-61634,
    CVE-2025-61635, CVE-2025-61636, CVE-2025-61637, CVE-2025-61638,
    CVE-2025-61639, CVE-2025-61640, CVE-2025-61641, CVE-2025-61642,
    CVE-2025-61643, CVE-2025-61646, CVE-2025-61652, CVE-2025-61653,
    CVE-2025-61654, CVE-2025-61655, CVE-2025-61656, CVE-2025-61657. This
    version is not affected by CVE-2025-61645.
    * Drop patches merged upstream.
  * Include the font required to render the two-factor authentication enabling
    interface.

 -- Taavi Väänänen <taavi@debian.org>  Fri, 24 Oct 2025 17:05:17 +0300

=== debian/control ===
--- 
+++ 
@@ -58,7 +58,7 @@
  MediaWiki is a wiki engine (a program for creating a collaboratively
  edited website). It is designed to handle heavy websites containing
  library-like document collections, and supports user uploads of
- images/sounds, multilingual content, TOC autogeneration, ISBN links,
+ images/sounds, multilingual content, TOC autogeneration, templating,
  etc.
  .
  Moreover, it keeps track of changes, so users can receive
@@ -77,7 +77,7 @@
  MediaWiki is a wiki engine (a program for creating a collaboratively
  edited website). It is designed to handle heavy websites containing
  library-like document collections, and supports user uploads of
- images/sounds, multilingual content, TOC autogeneration, ISBN links,
+ images/sounds, multilingual content, TOC autogeneration, templating,
  etc.
  .
  Moreover, it keeps track of changes, so users can receive

=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,7 @@
 	rm -rf debian/mediawiki/var/lib/mediawiki/extensions/SyntaxHighlight_GeSHi/pygments
 
 	# Remove unused font files
-	rm -rf debian/mediawiki/usr/share/mediawiki/vendor/endroid/qr-code/assets
+	find debian/mediawiki/usr/share/mediawiki/vendor/endroid/qr-code/assets -type f -not -name 'noto_sans.otf' -delete
 
 	find debian/mediawiki/usr/share/mediawiki -maxdepth 1 -mindepth 1 | grep -v "\(LocalSettings.php\|debian-scripts\|images\|extensions\|config\)" | \
 	while read i; do \

=== debian/tests/control ===
Tests: lint
Depends: @, php-cli, jsonlint
Restrictions: superficial

Tests: install-sqlite
Depends: @, php-cli, php-sqlite3, curl, sudo, apache2, systemd
Restrictions: needs-root, allow-stderr, isolation-container

# default-mysql
Tests: install-mysql
Depends: @, php-cli, php-mysql, default-mysql-server, curl, sudo, apache2, systemd
Restrictions: needs-root, allow-stderr, isolation-container

# mysql
Tests: install-mysql
Depends: @, php-cli, php-mysql, mysql-server, curl, sudo, apache2, systemd
# Don't fail when mysql-server isn't in Debian testing
Restrictions: needs-root, skip-not-installable, allow-stderr, isolation-container

# mariadb
Tests: install-mysql
Depends: @, php-cli, php-mysql, mariadb-server, curl, sudo, apache2, systemd
Restrictions: needs-root, allow-stderr, isolation-container

Tests: install-postgresql
Depends: @, php-cli, php-pgsql, postgresql, curl, sudo, apache2, systemd
Restrictions: needs-root, allow-stderr, isolation-container

=== debian/watch ===
version=4

opts="repack,compression=gz,dversionmangle=s/^[0-9]+://;s/\+dfsg$//,pgpsigurlmangle=s/$/.sig/,repacksuffix=+dfsg" \
https://releases.wikimedia.org/mediawiki/1.43/ mediawiki-([0-9.]*).tar.gz

## mediawiki 1.43.6%2Bdfsg

=== debian/changelog ===
mediawiki (1:1.43.6+dfsg-2) unstable; urgency=medium

  * Update autopkgtest for new restrictions in apache2 sandboxing

 -- Taavi Väänänen <taavi@debian.org>  Thu, 11 Dec 2025 16:10:10 +0200

mediawiki (1:1.43.6+dfsg-1) unstable; urgency=medium

  * New upstream version 1.43.6, fixing CVE-2025-67475, CVE-2025-67477,
    CVE-2025-67478, CVE-2025-67479, CVE-2025-67480, CVE-2025-67481,
    CVE-2025-67482, CVE-2025-67483, CVE-2025-67484. This version is not
    affected by CVE-2025-67476.
    * Update copyright file for changes in vendor/.

 -- Taavi Väänänen <taavi@debian.org>  Thu, 11 Dec 2025 11:56:33 +0200

## mediawiki 1.43.6+dfsg

=== debian/changelog ===
mediawiki (1:1.43.6+dfsg-1~deb13u1) trixie-security; urgency=medium

  * Rebuild for trixie-security.

 -- Taavi Väänänen <taavi@debian.org>  Thu, 11 Dec 2025 14:37:33 +0200
